# GstValidate enums

## Enumerations

### GstValidateObjectSetPropertyFlags

##### Members

`GST_VALIDATE_OBJECT_SET_PROPERTY_FLAGS_OPTIONAL` (1) –

The property is optional, if it is not found on the object, nothing happens.

`GST_VALIDATE_OBJECT_SET_PROPERTY_FLAGS_NO_VALUE_CHECK` (2) –

Do not check that after setting the property, the value is the one we set.

Since : 1.24

### GstValidate.ObjectSetPropertyFlags

##### Members

`GstValidate.ObjectSetPropertyFlags.OPTIONAL` (1) –

The property is optional, if it is not found on the object, nothing happens.

`GstValidate.ObjectSetPropertyFlags.NO_VALUE_CHECK` (2) –

Do not check that after setting the property, the value is the one we set.

Since : 1.24

### GstValidate.ObjectSetPropertyFlags

##### Members

`GstValidate.ObjectSetPropertyFlags.OPTIONAL` (1) –

The property is optional, if it is not found on the object, nothing happens.

`GstValidate.ObjectSetPropertyFlags.NO_VALUE_CHECK` (2) –

Do not check that after setting the property, the value is the one we set.

Since : 1.24

### GstValidateReportingDetails

Setting the reporting level allows to control the way issues are reported when calling gst_validate_runner_printf.

The reporting level can be set through the "GST_VALIDATE_REPORTING_DETAILS" environment variable, as a comma-separated list of (optional) object categories / names and levels. No object category / name sets the global level.

Examples: GST_VALIDATE_REPORTING_DETAILS=synthetic,h264parse:all GST_VALIDATE_REPORTING_DETAILS=none,h264parse::sink_0:synthetic

##### Members

`GST_VALIDATE_SHOW_UNKNOWN` (0) –

No reporting level known, reporting will default to the global reporting level.

`GST_VALIDATE_SHOW_NONE` (1) –

No debugging level specified or desired. Used to deactivate debugging output.

`GST_VALIDATE_SHOW_SYNTHETIC` (2) –

Summary of the issues found, with no details.

`GST_VALIDATE_SHOW_SUBCHAIN` (3) –

If set as the default level, similar issues can be reported multiple times for different subchains. If set as the level for a particular object (my_object:subchain), validate will report the issues where the object is the first to report an issue for a subchain.

`GST_VALIDATE_SHOW_MONITOR` (4) –

If set as the default level, all the distinct issues for all the monitors will be reported. If set as the level for a particular object, all the distinct issues for this object will be reported. Note that if the same issue happens twice on the same object, up until this level that issue is only reported once.

`GST_VALIDATE_SHOW_ALL` (5) –

All the issues will be reported, even those that repeat themselves inside the same object. This can be very verbose if set globally.

`GST_VALIDATE_SHOW_SMART` (6) –

Sythetic for not fatal issues and detailed for others

`GST_VALIDATE_SHOW_COUNT` (7) –
No description available

### GstValidate.ReportingDetails

Setting the reporting level allows to control the way issues are reported when calling GstValidate.Runner.prototype.printf.

The reporting level can be set through the "GST_VALIDATE_REPORTING_DETAILS" environment variable, as a comma-separated list of (optional) object categories / names and levels. No object category / name sets the global level.

Examples: GST_VALIDATE_REPORTING_DETAILS=synthetic,h264parse:all GST_VALIDATE_REPORTING_DETAILS=none,h264parse::sink_0:synthetic

##### Members

`GstValidate.ReportingDetails.UNKNOWN` (0) –

No reporting level known, reporting will default to the global reporting level.

`GstValidate.ReportingDetails.NONE` (1) –

No debugging level specified or desired. Used to deactivate debugging output.

`GstValidate.ReportingDetails.SYNTHETIC` (2) –

Summary of the issues found, with no details.

`GstValidate.ReportingDetails.SUBCHAIN` (3) –

If set as the default level, similar issues can be reported multiple times for different subchains. If set as the level for a particular object (my_object:subchain), validate will report the issues where the object is the first to report an issue for a subchain.

`GstValidate.ReportingDetails.MONITOR` (4) –

If set as the default level, all the distinct issues for all the monitors will be reported. If set as the level for a particular object, all the distinct issues for this object will be reported. Note that if the same issue happens twice on the same object, up until this level that issue is only reported once.

`GstValidate.ReportingDetails.ALL` (5) –

All the issues will be reported, even those that repeat themselves inside the same object. This can be very verbose if set globally.

`GstValidate.ReportingDetails.SMART` (6) –

Sythetic for not fatal issues and detailed for others

`GstValidate.ReportingDetails.COUNT` (7) –
No description available

### GstValidate.ReportingDetails

Setting the reporting level allows to control the way issues are reported when calling GstValidate.Runner.printf.

The reporting level can be set through the "GST_VALIDATE_REPORTING_DETAILS" environment variable, as a comma-separated list of (optional) object categories / names and levels. No object category / name sets the global level.

Examples: GST_VALIDATE_REPORTING_DETAILS=synthetic,h264parse:all GST_VALIDATE_REPORTING_DETAILS=none,h264parse::sink_0:synthetic

##### Members

`GstValidate.ReportingDetails.UNKNOWN` (0) –

No reporting level known, reporting will default to the global reporting level.

`GstValidate.ReportingDetails.NONE` (1) –

No debugging level specified or desired. Used to deactivate debugging output.

`GstValidate.ReportingDetails.SYNTHETIC` (2) –

Summary of the issues found, with no details.

`GstValidate.ReportingDetails.SUBCHAIN` (3) –

If set as the default level, similar issues can be reported multiple times for different subchains. If set as the level for a particular object (my_object:subchain), validate will report the issues where the object is the first to report an issue for a subchain.

`GstValidate.ReportingDetails.MONITOR` (4) –

If set as the default level, all the distinct issues for all the monitors will be reported. If set as the level for a particular object, all the distinct issues for this object will be reported. Note that if the same issue happens twice on the same object, up until this level that issue is only reported once.

`GstValidate.ReportingDetails.ALL` (5) –

All the issues will be reported, even those that repeat themselves inside the same object. This can be very verbose if set globally.

`GstValidate.ReportingDetails.SMART` (6) –

Sythetic for not fatal issues and detailed for others

`GstValidate.ReportingDetails.COUNT` (7) –
No description available

### GstValidateStructureResolveVariablesFlags

##### Members

`GST_VALIDATE_STRUCTURE_RESOLVE_VARIABLES_ALL` (0) –
No description available
`GST_VALIDATE_STRUCTURE_RESOLVE_VARIABLES_LOCAL_ONLY` (1) –
No description available
`GST_VALIDATE_STRUCTURE_RESOLVE_VARIABLES_NO_FAILURE` (2) –
No description available
`GST_VALIDATE_STRUCTURE_RESOLVE_VARIABLES_NO_EXPRESSION` (2) –
No description available

Since : 1.20

### GstValidate.StructureResolveVariablesFlags

##### Members

`GstValidate.StructureResolveVariablesFlags.ALL` (0) –
No description available
`GstValidate.StructureResolveVariablesFlags.LOCAL_ONLY` (1) –
No description available
`GstValidate.StructureResolveVariablesFlags.NO_FAILURE` (2) –
No description available
`GstValidate.StructureResolveVariablesFlags.NO_EXPRESSION` (2) –
No description available

Since : 1.20

### GstValidate.StructureResolveVariablesFlags

##### Members

`GstValidate.StructureResolveVariablesFlags.ALL` (0) –
No description available
`GstValidate.StructureResolveVariablesFlags.LOCAL_ONLY` (1) –
No description available
`GstValidate.StructureResolveVariablesFlags.NO_FAILURE` (2) –
No description available
`GstValidate.StructureResolveVariablesFlags.NO_EXPRESSION` (2) –
No description available

Since : 1.20

### GstValidateVerbosityFlags

Defines the level of verbosity of -validate (ie, printing on stdout).

##### Members

`GST_VALIDATE_VERBOSITY_NONE` (0) –
No description available
`GST_VALIDATE_VERBOSITY_POSITION` (2) –
No description available
`GST_VALIDATE_VERBOSITY_MESSAGES` (4) –
No description available
`GST_VALIDATE_VERBOSITY_PROPS_CHANGES` (8) –
No description available
`GST_VALIDATE_VERBOSITY_NEW_ELEMENTS` (16) –
No description available
`GST_VALIDATE_VERBOSITY_ALL` (30) –
No description available

### GstValidate.VerbosityFlags

Defines the level of verbosity of -validate (ie, printing on stdout).

##### Members

`GstValidate.VerbosityFlags.NONE` (0) –
No description available
`GstValidate.VerbosityFlags.POSITION` (2) –
No description available
`GstValidate.VerbosityFlags.MESSAGES` (4) –
No description available
`GstValidate.VerbosityFlags.PROPS_CHANGES` (8) –
No description available
`GstValidate.VerbosityFlags.NEW_ELEMENTS` (16) –
No description available
`GstValidate.VerbosityFlags.ALL` (30) –
No description available

### GstValidate.VerbosityFlags

Defines the level of verbosity of -validate (ie, printing on stdout).

##### Members

`GstValidate.VerbosityFlags.NONE` (0) –
No description available
`GstValidate.VerbosityFlags.POSITION` (2) –
No description available
`GstValidate.VerbosityFlags.MESSAGES` (4) –
No description available
`GstValidate.VerbosityFlags.PROPS_CHANGES` (8) –
No description available
`GstValidate.VerbosityFlags.NEW_ELEMENTS` (16) –
No description available
`GstValidate.VerbosityFlags.ALL` (30) –
No description available

## Constants

### GST_VALIDATE_SHOW_DEFAULT

    #define GST_VALIDATE_SHOW_DEFAULT GST_VALIDATE_SHOW_SMART

Defines the default reporting level to be used with gst-validate. It is normally set to GST_VALIDATE_SHOW_SYNTHETIC so only a synthetic report gets printed. As it can be configured at compile time, developer builds may chose to override that though.

The results of the search are